## keepsecret 1.0.0+p24.04+vstable+git20260120.0442

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(keepsecret VERSION 0.1)

set(QT6_MIN_VERSION 6.8.0)
set(KF6_MIN_VERSION 6.8.0)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KEEPSECRET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-keepsecret.h"
)

find_package(Qt6 ${QT6_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons Config I18n ItemModels)

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF6_MIN_VERSION} REQUIRED)
endif()

if (NOT ANDROID)
    find_package(Qt6Widgets ${QT6_MIN_VERSION} REQUIRED)
endif()

qt_policy(SET QTP0001 NEW)
# They clash with glib signals
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBSECRET IMPORTED_TARGET REQUIRED libsecret-1)

ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)

ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.17.0
)

add_subdirectory(src)

install(FILES org.kde.keepsecret.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.keepsecret.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES org.kde.keepsecret.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT keepsecret
    FILE keepsecret.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

## keepsecret 0.0.0+p24.04+vunstable+git20251202.2141

=== debian/changelog ===
keepsecret (0.0.0+p24.04+vunstable+git20251202.2141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 21:41:18 +0000

keepsecret (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 13 Jul 2025 16:44:11 +1000

=== debian/control ===
Source: keepsecret
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kitemmodels-dev,
               libsecret-1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utils/keepsecret
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/keepsecret.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/keepsecret
Maintainer: Neon CI <neon@kde.org>

Package: keepsecret
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE plasma's secrets/password manager
 KeepSecret is a Password manager GUI intended to be a client for a Secret
 Service compatible provider.
 .
 This package contains the keepsecret main library.

Package: keepsecret-dev
Section: libdevel
Architecture: any
Depends: keepsecret (= ${binary:Version}),
         kf6-extra-cmake-modules,
         qt6-base-dev,
         ${misc:Depends}
Description: KDE plasma's secrets/password manager
 KeepSecret is a Password manager GUI intended to be a client for a Secret
 Service compatible provider.
 .
 This package contains the keepsecret development files.

## keepsecret 1.0.0

=== debian/changelog ===
keepsecret (1.0.0-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 08:52:59 +0000

keepsecret (1.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:30:11 +0000

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Package: keepsecret-dev
 Section: libdevel
 Architecture: any
-Depends: keepsecret (= ${binary:Version}),
+Depends: keepsecret (= ${source:Version}),
          kf6-extra-cmake-modules,
          qt6-base-dev,
          ${misc:Depends}

## keepsecret 1.0.0+p24.04+vstable+git20260120.0442

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vstable+git20260120.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 04:42:27 +0000

## keepsecret 1.0.0+p24.04+vstable+git20260120.0921

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vstable+git20260120.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 09:21:56 +0000

## keepsecret 1.0.0+p24.04+vunstable+git20260126.0819

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vunstable+git20260126.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:19:16 +0000

## keepsecret 1.0.0+p24.04+vunstable+git20260201.0649

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vunstable+git20260201.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:49:28 +0000
